---
updatedAt: 2025-09-30T15:28:01.000Z
agentTools:
  projectIndex: https://docs.nexiopay.com/llms.txt
---

# View recoveries

Returns declined transactions within the given date range along with the [decline recovery](doc:constant-transaction-values#recovery-status-recoverystatus) status of each.

For additional information about this endpoint, see the [Retrieving transaction list from decline recovery](doc:retrieving-transaction-list-from-decline-recovery) tutorial.

<!-- theme: warning -->
> ⚠️ Try It
> 
> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](doc:sandbox-environments).


<div style="display:none;">

## Request parameters
- endDate
- limit
- offset
- startDate
- recoveryStatus

## Response parameters
- offset
- limit
- rows
- rows.id
- rows.retryDate
- rows.transactionDate
- rows.originalAmount
- rows.originalDeclinePaymentId
- rows.orderNumber
- rows.recoveryStatus
- rows.retryCount
- rows.merchantId
- rows.userName
- rows.isEnabledForRecovery
- rows.declineMessage
- rows.updatedAt
- hasMore

</div>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Reporting API Reference",
    "version": "3.0.0",
    "description": "View and create reports about transactions, decline recovery, and chargebacks.\n\nFor information about querying the transaction endpoints, see [Finding a transaction](https://docs.nexiopay.com/docs/finding-a-transaction) in Guides.",
    "contact": {
      "name": "Integrations Support",
      "email": "integrations@nexiopay.com",
      "url": "https://nexiointegrations.slack.com/"
    },
    "license": {
      "name": "ISC",
      "url": "https://docs.nexiopay.com/page/license"
    }
  },
  "security": [
    {
      "Basic_Authentication": []
    },
    {
      "One-time-use_Token": []
    }
  ],
  "servers": [
    {
      "description": "Sandbox",
      "url": "https://api.nexiopaysandbox.com",
      "variables": {}
    }
  ],
  "components": {
    "securitySchemes": {
      "Basic_Authentication": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication is a simple authentication scheme built into the HTTP protocol. \n\nFor the \"Try It\" feature, type your API username and password in the appropriate fields. The system then automatically creates the Authorization header that contains the word `Basic` followed by a space and a base64-encoded string `username:password`. \n\nFor example: `Authorization: Basic ZGVtbzpwQDU1dzByZA==` \n\nFor your own requests, learn how to do the conversion in the [Authentication](https://docs.nexiopay.com/docs/authentication#basic-authentication) guide. \n\nFor more information about this security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#basic-authentication-sample"
      },
      "One-time-use_Token": {
        "type": "apiKey",
        "name": "token",
        "in": "query",
        "description": "The one-time-use token authentication scheme requires a token supplied in the named query parameter that can only be used to submit a single API request and that expires after one hour. \n\nFor the \"Try It\" feature, first generate the one-time-use token through either the [Create one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken) or the [Create APM one-time-use token](https://docs.nexiopay.com/reference/createapmonetimeusetoken) endpoint. Copy the resulting token and then paste it in the appropriate field for the current endpoint. \n\nFor your own requests, learn how to generate the one-time-use token in the [Authentication](https://docs.nexiopay.com/docs/authentication#one-time-use-tokens) guide. Then, use it as normal for this endpoint. \n\nFor more information about the \"apiKeys\" security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#security-scheme-object"
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized.\n\nFor help with this error and other error codes, see [Common errors](https://docs.nexiopay.com/docs/common-errors) in the Guides area.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "message": {
                  "type": "string",
                  "description": "A message from Nexio about the state of the request",
                  "example": "Unauthorized"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "limit": {
        "name": "limit",
        "in": "query",
        "required": false,
        "schema": {
          "type": "integer",
          "default": 10,
          "example": 12
        },
        "description": "Specifies the maximum number of transactions to return in a single API response. For example, if you set `limit=20`, the API returns up to 20 transactions starting from the position specified by the `offset` parameter."
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "required": false,
        "schema": {
          "type": "integer",
          "default": 0,
          "example": 10
        },
        "description": "Specifies the starting point within the list of transactions. Use it in conjunction with the `limit` parameter to control which subset of transactions the API returns. For example, if you set `offset=10` and `limit=20`, the API skips the first 10 transactions and returns the next 20 transactions (in other words, transactions 11 to 30)."
      }
    }
  },
  "tags": [
    {
      "name": "Decline Recovery",
      "description": "APIs for decline recovery"
    }
  ],
  "paths": {
    "/recovery/v3": {
      "get": {
        "description": "Returns declined transactions within the given date range along with the [decline recovery](https://docs.nexiopay.com/docs/constant-transaction-values#recovery-status-recoverystatus) status of each.\n\nFor additional information about this endpoint, see the [Retrieving transaction list from decline recovery](https://docs.nexiopay.com/docs/retrieving-transaction-list-from-decline-recovery) tutorial.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- endDate\n- limit\n- offset\n- startDate\n- recoveryStatus\n\n## Response parameters\n- offset\n- limit\n- rows\n- rows.id\n- rows.retryDate\n- rows.transactionDate\n- rows.originalAmount\n- rows.originalDeclinePaymentId\n- rows.orderNumber\n- rows.recoveryStatus\n- rows.retryCount\n- rows.merchantId\n- rows.userName\n- rows.isEnabledForRecovery\n- rows.declineMessage\n- rows.updatedAt\n- hasMore\n\n</div>",
        "operationId": "ViewRecoveryStatus",
        "tags": [
          "Decline Recovery"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "in": "query",
            "name": "startDate",
            "description": "The start date. If you do not specify a value, the system uses the date 30 days prior to today's date. Format: YYYY-MM-DD",
            "schema": {
              "type": "string",
              "example": "2024-12-13"
            },
            "required": false
          },
          {
            "in": "query",
            "name": "endDate",
            "description": "The end date. If you do not specify a value, the system uses today's date. Format: YYYY-MM-DD",
            "schema": {
              "type": "string",
              "example": "2024-12-19"
            },
            "required": false
          },
          {
            "in": "query",
            "name": "recoveryStatus",
            "description": "The [recovery status](https://docs.nexiopay.com/docs/constant-transaction-values#recovery-status-recoverystatus) of the transaction. Possible values: - 10: Disabled- 20: In progress- 30: Scheduled- 40: Unrecoverable- 50: Recovered",
            "schema": {
              "$ref": "#/paths/~1recovery~1v3~1retry~1%7BretryId%7D/get/responses/200/content/application~1json/schema/properties/recoveryStatus",
              "enum": [
                "10",
                "20",
                "30",
                "40",
                "50"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "offset": {
                      "type": "integer",
                      "description": "The number of rows by which the data is offset.",
                      "example": 10
                    },
                    "limit": {
                      "type": "integer",
                      "description": "The limit of the number of rows.",
                      "example": 1
                    },
                    "rows": {
                      "type": "array",
                      "description": "An array of transactions with [decline recovery](https://docs.nexiopay.com/docs/retrieving-transaction-list-from-decline-recovery) information included",
                      "items": {
                        "title": "transaction",
                        "type": "object",
                        "description": "Basic transaction information and retry status information.",
                        "x-tags": [
                          "object"
                        ],
                        "properties": {
                          "id": {
                            "$ref": "#/paths/~1recovery~1v3~1enable/put/responses/200/content/application~1json/schema/properties/id"
                          },
                          "merchantId": {
                            "type": "string",
                            "description": "The merchant ID.",
                            "example": "100039"
                          },
                          "retryDate": {
                            "type": "string",
                            "format": "date-time",
                            "description": "The date and time at which the transaction will be retried.",
                            "example": "2024-12-23T00:45:00.000Z"
                          },
                          "recoveryStatus": {
                            "$ref": "#/paths/~1recovery~1v3~1retry~1%7BretryId%7D/get/responses/200/content/application~1json/schema/properties/recoveryStatus"
                          },
                          "retryCount": {
                            "type": "integer",
                            "description": "The number of times the transaction has been retried. (The transaction will be retried up to 11 times within a 30 day period).",
                            "example": 3
                          },
                          "orderNumber": {
                            "$ref": "#/paths/~1recovery~1v3~1retry~1%7BretryId%7D/get/responses/200/content/application~1json/schema/properties/orderNumber"
                          },
                          "transactionDate": {
                            "type": "string",
                            "format": "date-time",
                            "description": "The transaction date of the original transaction.",
                            "example": "2024-12-21T05:39:08.000Z"
                          },
                          "userName": {
                            "type": "string",
                            "description": "The API username under which the transaction was run.",
                            "example": "sandbox@example.com"
                          },
                          "isEnabledForRecovery": {
                            "type": "boolean",
                            "description": "Will be `true` if [decline recovery](https://docs.nexiopay.com/docs/retrieving-transaction-list-from-decline-recovery) has been enabled for this transaction.",
                            "example": true
                          },
                          "originalAmount": {
                            "type": "number",
                            "description": "The original transaction amount.",
                            "example": 8.99
                          },
                          "originalDeclinePaymentId": {
                            "type": "string",
                            "description": "The payment ID of the original (declined) transaction.",
                            "example": "eyJuYW1lIjoiIiwibWVyY2hhbnRJZCI6IjAwMDExMSIsInJlZk51bWJlciI6IjhlldkdNDlmNzZkNjQxMppepdi4ZLLhOTdlMWQyMWE4IiwicmFuZG9tIjowLCJjdXJyZW5jeSI612345CJ9"
                          },
                          "declineMessage": {
                            "type": "string",
                            "description": "Message from the gateway provider about the decline.",
                            "example": "This transaction has been declined."
                          },
                          "updatedAt": {
                            "type": "string",
                            "format": "date-time",
                            "description": "The date and time at which the transaction record was most recently updated in Nexio.",
                            "example": "2024-12-23T05:39:59.000Z"
                          }
                        }
                      }
                    },
                    "hasMore": {
                      "type": "boolean",
                      "description": "Will be `true` if there are more records not included in the current response."
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "offset": 10,
                      "limit": 1,
                      "rows": [
                        {
                          "id": 4755455,
                          "retryDate": "2021-02-23T00:45:00.000Z",
                          "transactionDate": "2021-02-21T05:39:08.000Z",
                          "originalAmount": 8.99,
                          "originalDeclinePaymentId": "eyJuYW1lIjoiIiwibWVyY2hhbnRJZCI6IjAwMDExMSIsInJlZk51bWJlciI6IjhlldkdNDlmNzZkNjQxMppepdi4ZLLhOTdlMWQyMWE4IiwicmFuZG9tIjowLCJjdXJyZW5jeSI612345CJ9",
                          "orderNumber": "210058A",
                          "recoveryStatus": 30,
                          "retryCount": 3,
                          "merchantId": "000999",
                          "userName": "sandbox@example.com",
                          "isEnabledForRecovery": true,
                          "declineMessage": "This transaction has been declined.",
                          "updatedAt": "2021-02-23T05:39:59.000Z"
                        }
                      ],
                      "hasMore": true
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "View recoveries"
      }
    },
    "/recovery/v3/enable": {
      "parameters": [],
      "put": {
        "summary": "Enable or disable retries for a single transaction",
        "operationId": "EnableOrDisableRetriesForASingleTransaction",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "title": "id",
                      "x-tags": [
                        "component"
                      ],
                      "description": "The retry ID.",
                      "example": 4755455
                    },
                    "isEnabledForRecovery": {
                      "type": "boolean",
                      "title": "isEnabledForRecovery",
                      "x-tags": [
                        "component"
                      ],
                      "description": "Shows `true` if recovery is enabled for the transaction. Shows `false` if recovery is not enabled for the transaction."
                    },
                    "success": {
                      "title": "success",
                      "type": "boolean",
                      "description": "Shows `true` if the API request was sent successfully. Shows `false` if the request was not successful. Note that this does not mean that the transaction was successfully enabled or disabled for decline recovery."
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "id": 4753537,
                      "isEnabledForRecovery": false,
                      "success": true
                    }
                  }
                }
              }
            }
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "integer",
                      "description": "Specifies the error code for the response.",
                      "example": 438
                    },
                    "message": {
                      "type": "string",
                      "example": "Cannot enable this recovery",
                      "description": "A message from Nexio about the state of the request."
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "retries": [
                        {
                          "id": 4753554,
                          "isEnabledForRecovery": false,
                          "success": false,
                          "message": "Cannot enable this recovery"
                        },
                        {
                          "id": 4753556,
                          "isEnabledForRecovery": true,
                          "success": true
                        }
                      ]
                    }
                  }
                }
              }
            },
            "description": "Nexio could not change the status for retries, such as for a retry that is unrecoverable. Attempt the request again or check the retry status for the transaction using the [View a recovery](https://docs.nexiopay.com/reference/viewrecovery) or [View recoveries](viewrecoverystatus) endpoint. "
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "description": "Allows the merchant to enable or disable retries for a single transaction when that transaction is declined. For more information, see the [Decline recovery overview](https://docs.nexiopay.com/docs/decline-recovery-overview).\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).<br/><br/>Include at least the retry ID in the body of the request.\n\n<div style=\"display:none;\">\n\n## Request parameters\n- id\n- isEnabledForRecovery\n\n## Response parameters\n- id\n- isEnabledForRecovery\n- success\n\n</div>",
        "parameters": [],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer",
                    "title": "id",
                    "x-tags": [
                      "component"
                    ],
                    "description": "The retry ID. To get the retry ID, send a `GET` request to the [View recovery status](https://docs.nexiopay.com/reference/viewrecoverystatus) endpoint.",
                    "example": 4755455
                  },
                  "isEnabledForRecovery": {
                    "type": "boolean",
                    "title": "isEnabledForRecovery",
                    "x-tags": [
                      "component"
                    ],
                    "description": "Set to `true` to enable recovery for the transaction. Set to `false` to disable recovery for the transaction.",
                    "default": false
                  }
                },
                "required": [
                  "id"
                ]
              },
              "examples": {
                "Required parameter": {
                  "value": {
                    "id": 4753537
                  }
                },
                "All parameters": {
                  "value": {
                    "id": 4755455,
                    "isEnabledForRecovery": false
                  }
                }
              }
            }
          },
          "description": ""
        },
        "tags": [
          "Decline Recovery"
        ]
      }
    }
  }
}
```